
Include "data.geo";

lcC = epd/10;
lcdom = Rdom/10;

Point(1) = {Ri,0,0,lcC};
Point(2) = {Ri,h/2,0,lcC};
Point(3) = {Ri+ep,h/2,0,lcC};
Point(4) = {Ri+ep,0,0,lcC};
Point(5) = {Ri+ep+epd,0,0,lcC};
Point(6) = {Ri+ep+epd,h/2,0,lcC};
Point(7) = {Ri+2*ep+epd,h/2,0,lcC};
Point(8) = {Ri+2*ep+epd,0,0,lcC};
Point(9) = {Rdom,0,0,lcdom};
Point(10) = {0,Rdom,0,lcdom};
Point(11) = {0,0,0,lcC};
Point(31) = {((2*Ri+ep+epd)/2)-(2*Ri+2*ep+epd)/8,2*h,0,lcC};
Point(32) = {((2*Ri+2*ep+epd)/2)-(2*Ri+2*ep+epd)/8,2*h,0,lcC};
// Point(42) = {(2*Ri+2*ep+epd)/2,h,0,lcC};
Point(51) = {((2*Ri+3*ep+epd)/2)+(2*Ri+2*ep+epd)/8,2*h,0,lcC};
Point(52) = {((2*Ri+2*ep+epd)/2)+(2*Ri+2*ep+epd)/8,2*h,0,lcC};

Line(1) = {1,2};
Line(2) = {2,31};
Line(3) = {3,4};
Line(4) = {4,5};
Line(5) = {5,6};
Line(6) = {7,51};
Line(7) = {7,8};
Line(8) = {8,9};



Line(31) = {31,32};
Line(51) = {51,52};

Circle(9) = {9,11,10};
Line(10) = {10,11};
Line(11) = {11,1};
Line(12) = {3,32};
Line(32) = {32,52};
// Line(42) = {42,52};
Line(52) = {52,6};

Line Loop(1) = {11,1,2,31,32,-51,-6,7,8,9,10};
Plane Surface (1) = {1};

Line Loop(2) = {3,4,5,-52,-32,-12};
Plane Surface(2) = {2};

Point(12) = {Rbi,0,0,lcdom};
Point(13) = {0,Rbi,0,lcdom};
Line(13) = {9,12};
Circle(14) = {12,11,13};
Line(15) = {13,10};

Line Loop(3) = {13,14,15,-9};
Plane Surface(3) = {3};

Physical Surface(AIR) = {1};
Physical Surface(DIELECTRIQUE) = {2};
Physical Surface(BOITEINF) = {3};

Physical Line(DELTAV) = {1,2,3,12,31};
Physical Line(MASSE) = {5,6,7,51,52};


Color White { Surface{1,3}; }
Color LightGray {Surface{2}; }

