
/* Parametre geometrique de la structure*/


Hauteur_arrondi=17.5e-3;   //mm
Hauteur_barre_droite=80e-3;//mm
Longueur=63e-3;            //mm
Profondeur=14e-3;         //mm 6.5
Epaisseur=6.5e-3;          //mm 2.5
Entrefer=5e-3;             //mm//Choix par defaut de l'entrefer
Hauteur_barreau=5e-3;      //mm
Hauteur_totale=150e-3;     //mm

BARREAU = 1001;
AIR = 1111;
AimantN = 1051;
AimantS = 1052;

OuterSurface = 2000;
NORD = 2001;
SUD = 2002;
BORDSBARREAU = 2003;


sigma10 = 5.0;//Choix par defaut de l'aimant

s = DefineNumber[5, Name "Modèle/Paramètres/Taille maillage", 
Help "Reduce for finer mesh"]; 

DefineConstant[  

    sigma1 = {sigma10, Choices {1="Ferrites", 2="NdFeB 1.0 T",
        3="NdFeB 1.1 T", 4="NdFeB 1.2 T", 5="NdFeB 1.3 T", 6="NdFeB 1.4 T"}, 
      Name "Modèle/Paramètres/6 Type d'aimants intérieurs"} 
    Entrefer1 = {Entrefer, Min 5e-3, Max 5e-2, Step 1e-3,
        Name "Modèle/Paramètres/Choix entrefer"} 
      ];

// parametres physiques
mu0=4e-7*Pi;
muraimant = 1.0;
mur=500.0;

Br = {0.4,1.0,1.1,1.2,1.3,1.4};
braimant = Br(sigma1-1);

