
Include "data_ventouse.geo";

y1 = entrefer/2.0;
lcE =a/20;
lcdom = 5*(2*a+b)/30;

Point(1) = {a,y1,0,lcE};
Point(2) = {a,y1+c,0,5*lcE};
Point(3) = {a+b,y1+c,0,5*lcE};
Point(4) = {a+b,y1,0,lcE};
Point(5) = {2*a+b,y1,0,lcE};
Point(6) = {2*a+b,y1+c+a,0,5*lcE};
Point(7) = {-(2*a+b),y1+c+a,0,5*lcE};
Point(8) = {-(2*a+b),y1,0,lcE};
Point(9) = {-(a+b),y1,0,lcE};
Point(10) = {-(a+b),y1+c,0,5*lcE};
Point(11) = {-a,y1+c,0,5*lcE}; 
Point(12) = {-a,y1,0,lcE};

liste_ligne[] = {};
For i In {1:11} 
    Line(i) = {i,i+1};
    liste_ligne[] += {i};
EndFor
Line(13) = {12,1};

liste_ligne[] += {13};
Line Loop(1) = {liste_ligne[]};
Plane Surface (1) = {1};

Line(14) = {1,4};
Line Loop(2) = {14,-3,-2,-1};
Surface(2) = {2};

Line(15) = {12,9};
Line Loop(3) = {9,10,11,15};
Surface(3) = {3};

Point(13) = {2.5*(2*a+b),y1,0,lcdom};
Point(14) = {2.5*(2*a+b),y1+2*(c+a),0,lcdom};
Point(15) = {-2.5*(2*a+b),y1+2*(c+a),0,lcdom};
Point(16) = {-2.5*(2*a+b),y1,0,lcdom};

Line(16) = {5,13};
Line(17) = {13,14};
Line(18) = {14,15};
Line(19) = {15,16};
Line(20) = {16,8};

Line Loop(4) = {16,17,18,19,20,-7,-6,-5};
Plane Surface(4) = {4};

Point(17) = {-2.5*(2*a+b),-y1,0,lcdom};
Point(18) = {-(2*a+b),-y1,0,lcE};
Point(19) = {2*a+b,-y1,0,lcE};
Point(20) = {2.5*(2*a+b),-y1,0,lcdom};
Point(21) = {2.5*(2*a+b),-y1-ep-(c+a),0,lcdom};
Point(22) = {-2.5*(2*a+b),-y1-ep-(c+a),0,lcdom};
Point(23) = {2*a+b,-y1-ep,0,2*lcE};
Point(24) = {-(2*a+b),-y1-ep,0,2*lcE};

Line(21) = {17,18};
Line(22) = {18,24};
Line(23) = {24,23};
Line(24) = {23,19};
Line(25) = {19,20};
Line(26) = {20,21};
Line(27) = {21,22};
Line(28) = {22,17};

Line Loop(5) = {21,22,23,24,25,26,27,28};
Plane Surface(5) = {5};

Line(29) = {18,19};
Line Loop(6) = {29,-24,-23,-22};
Plane Surface(6) = {6};

Line(30) = {17,16};
Line(31) = {13,20};

Line Loop(7) = {20,8,-15,13,14,4,16,31,-25,-29,-21,30};
Plane Surface(7) = {7};

outs[] = CombinedBoundary{Surface{1,2,3,4,5,6,7};};

Physical Surface(CIRCUITMAG) = {1};
Physical Surface(BOBINEALLER) = {2};
Physical Surface(BOBINERETOUR) = {3};
Physical Surface(AIRSUP) = {4};
Physical Surface(AIRINF) = {5};
Physical Surface(PLAQUE) = {6};
Physical Surface(ENTREFER) = {7};

Physical Line(DIRICHLET) = {outs[]};


Color White { Surface{4,5,7}; }
Color LightGray {Surface{1,6}; }
Color Red {  Surface{2};}
Color Blue {  Surface{3} ;} 






 

