## Sources Hugo du webpoly MEF-Emag

L'ensemble des sources permettant de générer le site web (webpoly) associé au cours « Méthode des éléments finis en électromagnétisme basse fréquence » de 2A ENSEM se trouve ici.

Le site est basé sur le thème : **Hugo Theme Learn** de [Mathieu Cormic](https://matcornic.github.io), dont les sources sont sur  [cette page](https://github.com/matcornic/hugo-theme-learn).

---- 

J'ai rajouté un petit hack pour pouvoir utiliser KaTeX pour le rendu des équations mathématiques. Pour s'en servir, modifier le préambule d'un fichier \*.md de contenu comme ceci (balises *markup* et *math*) :

```toml
---
title: "Titre de la page"
chapter: false #(ou true)
weight: 10
markup: "goldmark"
math: "true" 
---
```

----

Pour générer une version pouvant fonctionner localement sans réseau :

```bash
# Modification du menu
sed -i -e "s/other = \"Compléments\"/other = \"Version Locale\"/g" i18n/fr.toml 
rm -rf public/*
hugo --config config-local.toml
# Retour à la config initiale
sed -i -e "s/other = \"Version Locale\"/other = \"Compléments\"/g" i18n/fr.toml 
git checkout -- config.toml i18n/fr.toml
```

----


