---
title: Avant-propos
chapter: false
weight: 1 
---

## Où suis-je ?

Sur le webpoly de l'EC B8-11-EC1 : « Électromagnétisme BF analytique et numérique » du bloc de compétence « Modélisation & Simulation numérique en Génie Électrique » de 2ème année ENSEM (formation Énergie). 

## C'est quoi un webpoly et pourquoi ce format ?

**C'est un petit site internet à mi-chemin entre polycopié de cours et diaporama.** 
L'idée est d'unifier tout le contenu pédagogique de l'EC avec quelque chose de plus synthétique qu'un polycopié de cours classique, mais plus détaillé que de simples transparents. Le but est donc d'avoir un support multi-usages pouvant s'adapter aux différents modes d'enseignement imposés selon les circonstances : présentiel, hybride ou distanciel (synchrone ou asynchrone).  

## Quels sont les objectifs du cours ?

1. Se (re)mettre à niveau en électromagnétisme en présence de milieux matériels (base fondamentale de l'électrotechnique / électromécanique).

2. Se perfectionner sur la méthode des éléments finis appliquée aux problèmes correspondants.

3. Comprendre et appréhender ce qui est caché derrière les interfaces des logiciels du domaine.  

## Quelles seront les compétences acquises ?

* Connaître les formulations fortes de l'électromagnétisme dans l'approximation des régimes quasi stationnaires. 

* Savoir en déduire les formes faibles associées.

* Maîtriser les particularités du domaine : 
  
  * conditions aux limites correspondant au traitement de frontières
    lointaines, 
  
  * types d'éléments,  
  
  * conditions de jauge particulières, 
  
  * formulations en potentiels.

* Savoir interpréter, adapter et modifier un modèle développé avec l’interface logicielle [ONELAB](http://onelab.info/) (mailleur libre [Gmsh](https://gmsh.info/) et solveur libre [GetDP](http://getdp.info/)).
