
Include "data_condo.geo";

lcC = epd/10;
lcdom = Rdom/10;

Point(1) = {Ri,0,0,lcC};
Point(2) = {Ri,h/2,0,lcC};
Point(3) = {Ri+ep,h/2,0,lcC};
Point(4) = {Ri+ep,0,0,lcC};
Point(5) = {Ri+ep+epd,0,0,lcC};
Point(6) = {Ri+ep+epd,h/2,0,lcC};
Point(7) = {Ri+2*ep+epd,h/2,0,lcC};
Point(8) = {Ri+2*ep+epd,0,0,lcC};
Point(9) = {Rdom,0,0,lcdom};
Point(10) = {0,Rdom,0,lcdom};
Point(11) = {0,0,0,lcC};

For i In {1:8} 
    Line(i) = {i,i+1};
EndFor
Circle(9) = {9,11,10};
Line(10) = {10,11};
Line(11) = {11,1};
Line(12) = {3,6};

Line Loop(1) = {1,2,12,6,7,8,9,10,11};
Plane Surface (1) = {1};

Line Loop(2) = {3,4,5,-12};
Surface(2) = {2};

Point(12) = {Rbi,0,0,lcdom};
Point(13) = {0,Rbi,0,lcdom};
Line(13) = {9,12};
Circle(14) = {12,11,13};
Line(15) = {13,10};

Line Loop(3) = {13,14,15,-9};
Plane Surface(3) = {3};

Physical Surface(AIR) = {1};
Physical Surface(DIELECTRIQUE) = {2};
Physical Surface(BOITEINF) = {3};

Physical Line(DELTAV) = {1,2,3};
Physical Line(MASSE) = {5,6,7};


Color White { Surface{1,3}; }
Color LightGray {Surface{2}; }

