// geometrie du probleme

Include "data.geo";

Point(1) = {0,htot/2,0,lc};
Point(2) = {0,htot/2-hea,0,lc};
Point(3) = {rea,htot/2-hea,0,lc};
Point(4) = {rea,htot/2,0,lc};
Point(5) = {rea+epbob,htot/2,0,lc};
Point(6) = {rea+epbob,htot/2-hea,0,lc};
Point(7) = {0,-htot/2,0,lc};
Point(8) = {rap,-htot/2,0,lc};
Point(9) = {rap,-htot/2+hap,0,lc};
Point(10) = {0,-htot/2+hap,0,lc};
Point(11) = {0,rdom,0,lcdom};
Point(12) = {rdom,0,0,lcdom};
Point(13) = {0,-rdom,0,lcdom};
Point(14) = {0,rext,0,lcdom};
Point(15) = {rext,0,0,lcdom};
Point(16) = {0,-rext,0,lcdom};

c = newp;
Point(c) = {0,0,0};

Line(1) = {1,2};
Line(2) = {2,3};
Line(3) = {3,4};
Line(4) = {4,1};
Line(5) = {4,5};
Line(6) = {5,6};
Line(7) = {6,3};
Line(8) = {7,8};
Line(9) = {8,9};
Line(10) = {9,10};
Line(11) = {10,7};
Line(12) = {11,1};
Line(13) = {2,10};
Line(14) = {7,13};
Circle(15) = {13,c,12};
Circle(16) = {12,c,11};
Line(17) = {11,14};
Circle(18) = {14,c,15};
Circle(19) = {15,c,16};
Line(20) = {16,13};

Transfinite Line {1,3,6} = nehea+1; 
Transfinite Line {2,4} = nerea+1;
Transfinite Line {5,7} = neepbob+1;
Transfinite Line {8,10} = nerap+1;
Transfinite Line {9,11} = nehap+1;
Transfinite Line {13,12,14} = neent+1;

Line Loop(1) = {1,2,3,4};
Plane Surface(1) = {1};
Line Loop(2) = {5,6,7,3};
Plane Surface(2) = {2};
Line Loop(3) = {8,9,10,11};
Plane Surface(3) = {3};
Line Loop(4) = {12,-4,5,6,7,-2,13,-10,-9,-8,14,15,16};
Plane Surface(4) = {4};
Line Loop(5) = {15,16,17,18,19,20};
Plane Surface(5) = {5};

//Transfinite Surface {1,2,3};


Physical Surface(NOY) = {1};
Physical Surface(BOB) = {2};
Physical Surface(AIM) = {3};
Physical Surface(AIR) = {4};
Physical Surface(INF) = {5};
Physical Line(BORD) = {18,19,1,13,11,14,12,17,20};
Physical Line(STM) = {8,9,10};

Color White { Surface{4,5}; }
Color Gray { Surface{1}; }
Color Red { Surface{2}; }
Color Blue { Surface{3}; }