

Include "data.geo";

//Geometry.Points = 0;
//Geometry.Lines = 0;
//Mesh.SurfaceEdges = 0;

Point(1) = {0,0,0,lc0};

Point(2) = {Rd,0,0,lc};
Point(3) = {0,Rd,0,lc};
Point(4) = {-Rd,0,0,lc};
Point(5) = {0,-Rd,0,lc};

Circle(1) = {2,1,3};
Circle(2) = {3,1,4};
Circle(3) = {4,1,5};
Circle(4) = {5,1,2};

Transfinite Line {1,2,3,4} = npoints+1;

Line(5) = {1,2};
Line(6) = {1,3};
Line(7) = {1,4};
Line(8) = {1,5};

Transfinite Curve {5,6,7,8} = npoints/4 Using Progression 0.95;


Line Loop(1) = {5,1,-6};
Line Loop(2) = {6,2,-7};
Line Loop(3) = {7,3,-8};
Line Loop(4) = {8,4,-5};

Plane Surface(1) = {1};
Plane Surface(2) = {2};
Plane Surface(3) = {3};
Plane Surface(4) = {4};

//Transfinite Surface {1,2,3,4};


Physical Surface(DISQUE) = {1,2,3,4};
Physical Line(BORD) = {1,2,3,4};
Physical Line(DIAMETRE) = {7,5};


Color Pink { Surface{1,2,3,4}; }






