---
title: Crédits
disableToc: true
---

--- 

### Contenu

Sauf mention du contraire, l'ensemble du contenu de ce site (y compris les figures) a été produit par l'[auteur](https://jufont.net) et est placé sous licence creative commons [**CC BY-SA 4.0**](https://creativecommons.org/licenses/by-sa/4.0/deed.fr).  

Merci à [**Bertrand Thierry**](https://bthierry.pages.math.cnrs.fr/) de m'avoir permis d'utiliser (et légèrement modifier) ses applications Javascript sur le Jacobien et les fonctions de formes.



#### Outils utilisés

* [**Xfig**](https://xfig.org/) - Création de schémas vectoriels *old-school* 
* [**MATLAB**](https://fr.mathworks.com/) - Programmation pour calcul scientifique 
* [**GNU Octave**](https://www.gnu.org/software/octave/index) - Calcul numérique scientifique (syntaxe MATLAB). 

Et bien évidemment : 

* [**Gmsh**](https://gmsh.info/) - Générateur de maillage libre avec pré- et post-processeur intégrés 
* [**GetDP**](https://getdp.info/) - Soveur éléments finis généraliste libre
* [**ONELAB**](https://onelab.info/) - Plateforme libre embarquant notamment les deux logiciels ci-dessus


--- 

### Hugo et thème Learn

Un grand merci à [**Mathieu Cornic**](https://github.com/matcornic) d'avoir adapter le thème [**Learn**](https://github.com/matcornic/hugo-theme-learn) pour [**Hugo**](https://gohugo.io/).

#### Packages et librairies

* [**KaTeX**](https://katex.org) - Rendu des équations mathématiques en LaTeX ultra rapide 
* [**font awesome**](http://fontawesome.io/) - Framework de polices iconiques
* [**jQuery**](https://jquery.com) - Librairies Javascript
* [**lunr**](https://lunrjs.com) - Fournit des fonctions de recherche sans service externe
* [**horsey**](https://bevacqua.github.io/horsey/) - Autocomplétion de composants (utiliser pour les suggestions de recherche)
* [**clipboard.js**](https://zenorocha.github.io/clipboard.js) - Copier le texte dans le presse-papier
* [**highlight.js**](https://highlightjs.org) - Mise en valeur de syntaxes
* [**modernizr**](https://modernizr.com) - Boite à outil Javascript permettant aux développeurs d'utiliser les dernières fonctionnalités de CSS et HTML5, même sur de vieux navigateurs.

--- 
