---
title: Avant-propos
weight: 1
chapter: false
markup: "goldmark"
math: "true" 
---

## Maxwell House

Les éléments finis de Whitney développés à la [fin du chapitre 2](../../principe/discret/whitney/) nous fournissent toute une structure permettant d'accueillir parfaitement toutes les constituantes du champ électromagnétique en basse fréquence. 
Une figure valant mieux qu'un long discours, vous trouverez ci-dessous une version de la ***Maison de Maxwell*** (diagramme de Tonti 3D appliqué à l'électromagnétisme dans l'ARQS).


{{< figure src="../../images/figures/MaxwellHouse.svg" title="La Maison de Maxwell (Maxwell House) dans l'ARQS : les différents étages de chaque côté correspondent à un espace fonctionnel (en couleur), on passe d'un étage à l'autre par un opérateur différentiel (flèches noires), de l'avant à l'arrière par dérivation temporelle (flèches noires aussi), et d'un côté à l'autre par les lois de comportement (flèches grises)." >}}


Pour vous, outre l'aspect esthétique, le principal intérêt de ce diagramme est de rapidement trouver à quel espace appartient chaque champ scalaire ou vectoriel. 

$\rightsquigarrow$ Dans la suite, nous allons voir comment formuler des problèmes simples du domaine avec la méthode développée précédemment. 

