---
title: Références bibliographiques
menutitle: Références
chapter: false
pre: "<i class='fas fa-book'></i> "
weight: 100
---

- **[[Anto21]](#antoine)** X. Antoine, "Équations aux Dérivées Partielles, *Théorie et résolution numérique*", Polycopié de cours de l'EC « EDP », ENSEM 2A Formation Énergie, 2021. 

- **[[Bast14]](#bastos)** J. P. Bastos, N. Sadowski, "Magnetic Materials and 3D Finite Element Modeling", CRC Press, Boca Raton, 2014. [Disponible à la BU](https://ulysse.univ-lorraine.fr/permalink/33UDL_INST/1f89f8a/alma991008156819705596)

- **[[Boss93]](#bossavit)** A. Bossavit, "Électromagnétisme, en vue de la modélisation", Mathématiques et Applications, Vol. 14, Springer-Verlag, Berlin, 1993. [Disponible à la BU](https://ulysse.univ-lorraine.fr/permalink/33UDL_INST/1f89f8a/alma991000907599705596)

- **[[Dula94]](#dular)** P. Dular, "Modélisation du champ magnétique et des courants induits dans des systèmes tridimensionnels non linéaires", Thèse de doctorat en Sciences appliquées, Université de Liège, 1994. [Accessible en ligne via ORBi](https://orbi.uliege.be/handle/2268/191441)

- **[[Four85]](#fournet)** G. Fournet, "Électromagnétisme : à partir des équations locales", Masson, Paris, 1985. [Disponible à la BU](https://ulysse.univ-lorraine.fr/permalink/33UDL_INST/1f89f8a/alma991000268919705596)

- **[[Four93]](#fournet-TI)** G. Fournet, "Électromagnétisme", Techniques de l’Ingénieur, traité Génie électrique, dossier D1020, 1993. [Accessible en ligne via la BU](https://doi-org.bases-doc.univ-lorraine.fr/10.51257/a-v1-d1020) 

- **[[Geuz01]](#geuzaine)** C. Geuzaine, "High order hybrid finite element schemes for Maxwell's equations taking thin structures and global quantities into account", Thèse de doctorat en Sciences appliquées, Université de Liège, 2001. [Accessible en ligne via ORBi](https://orbi.uliege.be/handle/2268/22803)

- **[[Kern04]](#kern)** M. Kern, "Introduction à la méthode des éléments finis", Polycopié de cours, École Nationale Supérieure des Mines de Paris, 2004. [Accessible en ligne](https://docplayer.fr/storage/20/426082/1705918892/sCMNUmPlum3GlMEcMKtYfg/426082.pdf)

- **[[Land84]](#landau)** L. D. Landau, E. M. Lifshitz, L. P. Pitaevskii, "Electrodynamics of Continuous Media", Course of Theoretical Physics, Vol. 8 (2nd ed.), Butterworth-Heinemann, Oxford, 1984. [Disponible à la BU](https://ulysse.univ-lorraine.fr/permalink/33UDL_INST/1f89f8a/alma991008345279705596) 

- **[[Nett18]](#denis)** D. Netter, "Le Blog de l’Énergie Électrique", collection de notes de cours, ENSEM, version du 12 sept. 2018. [Accessible en ligne via ARCHE](https://arche.univ-lorraine.fr/mod/resource/view.php?id=296694)

- **[[Noga05]](#nogarede)** B. Nogarède, "Électrodynamique appliquée : fondements et principes physiques de l'électrotechnique", Sciences sup. Dunod, Paris, 2005. [Disponible à la BU](https://ulysse.univ-lorraine.fr/permalink/33UDL_INST/1f89f8a/alma991005068369705596)

- **[[Piri23]](#clenet)** F. Piriou, and S. Clénet, "Modélisation Numérique en électromagnétisme Basse Fréquence Par la Méthode des éléments Finis", 1st ed., ISTE Editions Ltd, London, 2023. [Accessible en ligne via la BU](https://ulysse.univ-lorraine.fr/permalink/33UDL_INST/gqjqit/cdi_askewsholts_vlebooks_9781784069223)

- **[[Spit02]](#spiteri1)** P. Spiteri, "Approche variationnelle pour la méthode des éléments finis", Techniques de l’Ingénieur, traité Sciences fondamentales, Ref. AF503, 2002. [Accessible en ligne via la BU](https://doi-org.bases-doc.univ-lorraine.fr/10.51257/a-v1-af503)

- **[[Thie20]](#bertrand)** B. Thierry, ["Main5 : Maillage et Éléments Finis"](https://bthierry.pages.math.cnrs.fr/course-fem/lecture/), Notes de cours, Polytech Sorbonne, 2020. 


